Hivel-managed
Overview
The Hivel Incident API enables submitting incident data to Hivel, allowing for precise calculation of metrics such as CFR (Change Failure Rate) and MTTR (Mean Time to Recovery).
Base URL
The base URL for accessing Hivel is: https://app.hivel.ai
Authentication
All requests require an organization API token. Pass this in the request header:
Authorization: X-API-TokenRetrieving Your API Key
Open Hivel and navigate to Integrations under the Settings.

Click on Connect on Hivel API Authorization card

Follow the given steps to start your integration
By clicking on Generate your API Key will be generated.

Incident Events API
Endpoint
POST https://app.hivel.ai/api/hooks/v1/incident
Request Parameters
description
string
A detailed description of the incident (max 255 chars).
Database connection timeout error
severity
Required
string
The severity level of the incident (e.g., low, medium, high, critical) (max 255 chars).
high
affected_systems
array
A list of systems affected by the incident.
["database", "backend"]
reported_time
Required
string
The date and time when the incident occurred (ISO 8601 format).
2024-08-01T12:34:56Z
reported_by
string
The username or identifier of the person who reported the incident (max 255 chars).
jdoe
resolution_time
Required
string
The date and time when the incident was resolved (ISO 8601 format).
2024-08-01T13:34:56Z
provider_id
string
The unique identifier of the incident in your incident management provider (max 255 chars).
incident-123456
repo_url
Required
string
The URL of the repository related to the deployment or incident (max 255 chars).
pr_number
Required
string
The Pull Request (PR) identifier associated with the deployment.
44
Request Example
Response
400- Bad Request401- Unauthorized403- Org inactive500- Internal Server Error
A request body that fails to parse as valid JSON, or has a field of the wrong type (e.g. a number where a string is expected), returns a 400 Bad Request with the specific parse error in error:
Last updated